package com.bytedance.android.live.base.service;

import X.AnonymousClass0UT;
import com.bytedance.covode.number.Covode;
import org.json.JSONObject;

public interface IHostMonitor extends AnonymousClass0UT {
    static {
        Covode.recordClassIndex(4823);
    }

    void LIZ(String str, int i, JSONObject jSONObject);

    void LIZ(String str, int i, JSONObject jSONObject, JSONObject jSONObject2);

    void LIZ(String str, String str2, float f);

    void LIZ(String str, JSONObject jSONObject);

    void LIZ(String str, JSONObject jSONObject, JSONObject jSONObject2);

    void LIZ(String str, JSONObject jSONObject, JSONObject jSONObject2, JSONObject jSONObject3);

    void LIZ(Throwable th, String str);

    void LIZ(JSONObject jSONObject);
}
